function toggle_summary_setup_rows(state) {
	if (state) {
		$('.summary_setup_rows').show();
	} else {
		$('.summary_setup_rows').hide();
	}
}
$(document).ready(function() {
	$('#use_summary').live('click', function(ev) {
		toggle_summary_setup_rows(ev.target.checked);
	});
	toggle_summary_setup_rows($('#use_summary').get(0).checked);

});

function set_state(field, val)
{
	var fancy_str = '';

	if ($('#fancy_content').is(':visible')) {
		fancy_str = '#fancy_content ';
	}

	$(fancy_str + '#' + field).attr('checked', val);
}

// re-define this function to
// be able to change target controller
function send_report_now(type, id)
{
	if (type=='' || id =='') {
		// missing info
		return false;
	}

	var html_id = 'send_now_' + type + '_' + id;

	$('#' + html_id)
		.css('background', 'url(' + loadimg_sml.src + ') no-repeat scroll 0 0 transparent')
		.css('height', '16px')
		.css('width', '16px')
		.css('float', 'left');

	// since we now support reports generated in
	// other controllers than the reports controller,
	// we have to let the correct controller handle
	// the actual creation and sending of the report.
	var controller = 'op5reports';
	if (type == 'summary') {
		controller = 'summary';
	}

	$.ajax({
		url:_site_domain + _index_page + '/' + controller + '/generate',
		type: 'POST',
		data: {type: type, schedule_id: id},
		success: function(data) {
			if (data == '' || !data.error) {
				jgrowl_message(_reports_schedule_send_ok, _reports_success);
			} else {
				if(data.error) {
					jgrowl_message(_reports_schedule_send_error + ': ' + data.error, _reports_error);
				} else {
					jgrowl_message(_reports_schedule_send_error, _reports_error);
				}
			}
		},
		error: function() {
			jgrowl_message(_reports_schedule_send_error, _reports_error);
		},
		complete: function() {
			setTimeout(function() {restore_sendimg(html_id)}, 1000);
		},
		dataType: 'json'
	});

}

function restore_sendimg(id)
{
	var old_icon = _site_domain + "application/views/icons/16x16/send-report.png";
	$('#' + id)
		.css('background', 'url(' + old_icon + ') no-repeat scroll 0 0 transparent')
		.css('height', '16px')
		.css('width', '16px').css('float', 'left');

}
